"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.utils = exports.compiler = void 0;
const matrixCompile_1 = __importDefault(require("./matrix-compile/matrixCompile"));
const matrixServer_1 = __importDefault(require("./matrix-server/matrixServer"));
const getExtMetroConfig_1 = require("./matrix-config/getExtMetroConfig");
const generateBuildResult_1 = require("./lib/generateBuildResult");
const getRegisterComponents_1 = require("./lib/getRegisterComponents");
const logger_1 = require("./lib/logger");
// metro-hermes-compiler 会在process上添加unhandledRejection事件的handler
// 但是metro-hermes-compiler捕捉到错误后并不抛出堆栈信息, 导致debug困难
// 这里删掉他添加的方法
const eventName = 'unhandledRejection';
const isHermesHandler = (handler) => handler.name === 'abort' && handler.toString().includes('new WebAssembly.RuntimeError');
process.listeners(eventName).filter(isHermesHandler).forEach(xs => {
    process.removeListener(eventName, xs);
});
process.on('newListener', (event, listener) => {
    if (event !== eventName)
        return;
    (0, logger_1.dbg)(`new ${eventName} Listener added to process, ${listener.toString()}`);
    if (isHermesHandler(listener)) {
        (0, logger_1.dbg)(`remove hermesHandler: ${listener.toString()}`);
        process.removeListener('unhandledRejection', listener);
    }
});
exports.compiler = {
    compile: matrixCompile_1.default,
    devServer: matrixServer_1.default,
    getExtMetroConfig: getExtMetroConfig_1.getExtMetroConfig,
};
exports.utils = {
    generateDevBuildResult: generateBuildResult_1.generateDevBuildResult,
    generateProdBuildResult: generateBuildResult_1.generateProdBuildResult,
    getRegisterComponents: getRegisterComponents_1.getRegisterComponents,
    getActualComponents: getRegisterComponents_1.getActualComponents,
};
__exportStar(require("./matrix-config/configTypes"), exports);
