"use strict";
// const { validateHyUI, validateAnimatedValue } = require('../../dist/lib/validateAnimatedValue')
// const projectRoot = '/Users/simon/Developer/huya/hyext/just-dance'
// validateHyUI(projectRoot)
// validateAnimatedValue(projectRoot)
Object.defineProperty(exports, "__esModule", { value: true });
const validateAnimatedValue_1 = require("./validateAnimatedValue");
describe('getVersionFromStr', () => {
    it('with empty lines', () => {
        const str = `
/Users/simon/Developer/huya/hyext/just-dance/node_modules/@hyext/hy-ui:@hyext/hy-ui@1.3.26
/Users/simon/Developer/huya/hyext/just-dance/node_modules/@hyext/hy-ui:@hyext/hy-ui@1.1.26

`;
        expect((0, validateAnimatedValue_1.getVersionFromStr)(str)).toEqual(['1.3.26', '1.1.26']);
    });
});
describe('validateVersions', () => {
    it('empty list', () => {
        expect((0, validateAnimatedValue_1.validateVersionList)([])).toBe(true);
    });
    it('all greater or equal than base', () => {
        expect((0, validateAnimatedValue_1.validateVersionList)(['1.2.3', '1.2.4', '1.2.4-beta.0'], '1.2.3')).toBe(true);
    });
    it('some smaller than base', () => {
        expect((0, validateAnimatedValue_1.validateVersionList)(['1.1.0', '1.2.3-beta.0', '1.4.0'], '1.2.3')).toBe(false);
    });
});
