"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getType = void 0;
const path_1 = __importDefault(require("path"));
const getType = (config, calculatedOptions, filepath) => {
    if (calculatedOptions.type === 'script') {
        return 'script';
    }
    if (config.resolver.assetExts.indexOf(path_1.default.extname(filepath).slice(1)) !== -1) {
        return 'asset';
    }
    const lowerExts = config.resolver.assetExts.map(xs => xs.toLowerCase());
    const fileExt = path_1.default.extname(filepath).slice(1).toLowerCase();
    if (lowerExts.includes(fileExt)) {
        return 'asset';
    }
    return 'module';
};
exports.getType = getType;
