/// <reference types="node" />
import { ExtMetroConfig } from './configTypes';
interface BaseOptions {
    projectRoot: string;
    extMetroConfig: Partial<ExtMetroConfig>;
    projectConfig?: {
        cacheVersion?: number;
        [key: string]: any;
    };
}
interface DevOptions extends BaseOptions {
    mode: 'dev';
    port?: number;
}
interface ProdOptions extends BaseOptions {
    mode: 'production';
}
export declare const skipModulePlaceHolder: {
    dependencies: never[];
    output: never[];
    getSource: () => Buffer;
};
export declare const getExtraNodeModules: (projectRoot: string, fromPkgName?: string) => {};
export declare function getExtMetroConfig(options: DevOptions | ProdOptions): ExtMetroConfig;
export {};
