"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
function resolveReactNativePath(searchDirs) {
    const resolveNodeModuleDir = (root, packageName) => {
        return path_1.default.dirname(
        //  通过部分路径找到一个包的路径
        require.resolve(path_1.default.join(packageName, 'package.json'), {
            paths: [root],
        }));
    };
    for (let i = 0; i < searchDirs.length; i += 1) {
        let RNPath = '';
        try {
            RNPath = resolveNodeModuleDir(searchDirs[i], 'react-native');
            if (RNPath)
                return RNPath;
        }
        catch (err) {
            // console.log(`react-native not found in ${searchDirs[i]}`)
        }
    }
    console.log(`react-native not found in ${JSON.stringify(searchDirs)}`);
}
exports.default = resolveReactNativePath;
